Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.editor
Class Axes2D

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      j3deditor.bin.editor.Axes2D

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class Axes2D

extends javax.swing.JPanel
implements java.awt.event.MouseListener

Hows the currently active view orientation of the specified `Scene2D`.

Author:
  Risto Seene
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `NEG_Z` `Scene2D` associated with this `Axes2D` views geometry from negative Z axis.
`static int` | `NEG_X` `Scene2D` associated with this `Axes2D` views geometry from negative X axis.
`static int` | `NEG_Y` `Scene2D` associated with this `Axes2D` views geometry from negative Y axis.
`static int` | `POS_Z` `Scene2D` associated with this `Axes2D` views geometry from positive Z axis.
`static int` | `POS_X` `Scene2D` associated with this `Axes2D` views geometry from positive X axis.
`static int` | `POS_Y` `Scene2D` associated with this `Axes2D` views geometry from positive Y axis.
`static int` | `TEX` `Scene2D` associated with this `Axes2D` shows texture coordinates.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Axes2D(int type)` Creates an instance of `Axes2D` of the specified type.
`Axes2D(Scene2D scene)` Creates an instance of `Axes2D` which will be asoociated with the specified `Scene2D`.

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Doesn't do anything.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Doesn't do anything.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Doesn't do anything.
`void` | `mousePressed(java.awt.event.MouseEvent e)` Flips the scene associated with this `Axes2D`.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Doesn't do anything.
`void` | `paintComponent(java.awt.Graphics graphics)` Overrided `paintComponent` method of `JPanel`.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getWidth, getVisibleRect, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEX

    public static final int TEX

  `Scene2D` associated with this `Axes2D` shows texture coordinates.

  See Also:
    Constant Field Values

### POS_X

    public static final int POS_X

  `Scene2D` associated with this `Axes2D` views geometry from positive X axis.

  See Also:
    Constant Field Values

### POS_Y

    public static final int POS_Y

  `Scene2D` associated with this `Axes2D` views geometry from positive Y axis.

  See Also:
    Constant Field Values

### POS_Z

    public static final int POS_Z

  `Scene2D` associated with this `Axes2D` views geometry from positive Z axis.

  See Also:
    Constant Field Values

### NEG_X

    public static final int NEG_X

  `Scene2D` associated with this `Axes2D` views geometry from negative X axis.

  See Also:
    Constant Field Values

### NEG_Y

    public static final int NEG_Y

  `Scene2D` associated with this `Axes2D` views geometry from negative Y axis.

  See Also:
    Constant Field Values

### NEG_Z

    public static final int NEG_Z

  `Scene2D` associated with this `Axes2D` views geometry from negative Z axis.

  See Also:
    Constant Field Values

Constructor Detail

### Axes2D

    public Axes2D(int type)

  Creates an instance of `Axes2D` of the specified type.

  Parameters:
    `type` - `TEX`, `POS_X`, `POS_Y` `POS_Z`, `NEG_X`, `NEG_Y` `NEG_Z`

### Axes2D

    public Axes2D(Scene2D scene)

  Creates an instance of `Axes2D` which will be asoociated with the specified `Scene2D`.

  Parameters:
    `scene` - `Scene2D`

Method Detail

### paintComponent

    public void paintComponent(java.awt.Graphics graphics)

  Overrided `paintComponent` method of `JPanel`. Draws the content of this panel.

  Overrides:
    `paintComponent` in class `javax.swing.JComponent`
  Parameters:
    `graphics` - graphics

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Flips the scene associated with this `Axes2D`.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - mouse event

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Doesn't do anything.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - doesn't do anything

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Doesn't do anything.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - doesn't do anything

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Doesn't do anything.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - doesn't do anything

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Doesn't do anything.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - doesn't do anything

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD